> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminobservabilitycomputed outboxanomalies

> List dead-letter and stale computed outbox tasks grouped by shared root-cause signature

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/observability/computed-outbox/anomalies
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/observability/computed-outbox/anomalies:
    get:
      tags:
        - admin
        - observability
      description: >-
        List dead-letter and stale computed outbox tasks grouped by shared
        root-cause signature


        Required token scopes: `instance|read`
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 30
          required: false
          name: limit
          in: query
        - schema:
            type: string
            maxLength: 500
          required: false
          name: q
          in: query
        - schema:
            type: string
            enum:
              - dead
              - stale
          required: false
          name: kind
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  sampledAt:
                    type: string
                  total:
                    type: number
                  groupTotal:
                    type: number
                  matchedGroupTotal:
                    type: number
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        groupKey:
                          type: string
                        kind:
                          type: string
                          enum:
                            - dead
                            - stale
                        targetId:
                          type: string
                        storage:
                          type: string
                          enum:
                            - default
                            - byodb
                        baseId:
                          type: string
                        baseName:
                          type: string
                        spaceId:
                          type: string
                        spaceName:
                          type: string
                        seedTableId:
                          type: string
                        lastError:
                          type: string
                          nullable: true
                        errorSignature:
                          type: string
                          maxLength: 500
                        failedSql:
                          type: string
                          nullable: true
                        failureKind:
                          type: string
                          nullable: true
                        failurePhase:
                          type: string
                          nullable: true
                        affectedTableName:
                          type: string
                          nullable: true
                        count:
                          type: integer
                          minimum: 0
                        latestOccurredAt:
                          type: string
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              targetId:
                                type: string
                              storage:
                                type: string
                                enum:
                                  - default
                                  - byodb
                              kind:
                                type: string
                                enum:
                                  - dead
                                  - stale
                              taskId:
                                type: string
                              baseId:
                                type: string
                              baseName:
                                type: string
                              spaceId:
                                type: string
                              spaceName:
                                type: string
                              seedTableId:
                                type: string
                              attempts:
                                type: number
                              maxAttempts:
                                type: number
                              lastError:
                                type: string
                                nullable: true
                              failedSql:
                                type: string
                                nullable: true
                              failureKind:
                                type: string
                                nullable: true
                              failurePhase:
                                type: string
                                nullable: true
                              affectedTableName:
                                type: string
                                nullable: true
                              occurredAt:
                                type: string
                            required:
                              - targetId
                              - storage
                              - kind
                              - taskId
                              - baseId
                              - seedTableId
                              - attempts
                              - maxAttempts
                              - lastError
                              - occurredAt
                        targetHealth:
                          type: string
                          enum:
                            - healthy
                            - read_only
                            - unreachable
                            - degraded
                      required:
                        - groupKey
                        - kind
                        - targetId
                        - storage
                        - baseId
                        - seedTableId
                        - lastError
                        - errorSignature
                        - count
                        - latestOccurredAt
                        - items
                  unavailableTargetCount:
                    type: number
                required:
                  - sampledAt
                  - total
                  - groupTotal
                  - matchedGroupTotal
                  - groups
                  - unavailableTargetCount
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/observability/computed-outbox/anomalies?limit=SOME_INTEGER_VALUE&q=SOME_STRING_VALUE&kind=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/computed-outbox/anomalies?limit=SOME_INTEGER_VALUE&q=SOME_STRING_VALUE&kind=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/computed-outbox/anomalies?limit=SOME_INTEGER_VALUE&q=SOME_STRING_VALUE&kind=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/observability/computed-outbox/anomalies?limit=SOME_INTEGER_VALUE&q=SOME_STRING_VALUE&kind=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````